// Rendezvous: A Hopfield-Tank neural network implementation as a scheduler application
// Written by David J. Stein, Esq., 10/18/2004.  See "License.html" for terms and conditions of use.
//
// This module contains the code for adding or editing a room.

#region Using declarations
using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
#endregion

namespace Hopfield_Tank_Neural_Network__Rendezvous_Namespace {
	public class AddEditRoom : System.Windows.Forms.Form	{

		#region Variables and initialization code

		private System.Windows.Forms.Button btnSave;
		private System.Windows.Forms.Button btnCancel;
		internal System.Windows.Forms.NumericUpDown nudCapacity;
		private System.Windows.Forms.Label label1;
		private System.Windows.Forms.Label label2;
		internal System.Windows.Forms.TextBox txtName;
		private System.ComponentModel.Container components = null;

		public AddEditRoom()	{
			InitializeComponent();
		}

		public AddEditRoom(string name, int capacity)	{
			InitializeComponent();
			txtName.Text = name;
			nudCapacity.Value = capacity;
		}
		#endregion

		#region Uninteresting Windows Form Designer generated code
		protected override void Dispose(bool disposing)		{
			if (disposing) {
				if (components != null) {
				components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

	private void InitializeComponent()	{
		this.btnSave = new System.Windows.Forms.Button();
		this.btnCancel = new System.Windows.Forms.Button();
		this.nudCapacity = new System.Windows.Forms.NumericUpDown();
		this.label1 = new System.Windows.Forms.Label();
		this.label2 = new System.Windows.Forms.Label();
		this.txtName = new System.Windows.Forms.TextBox();
		((System.ComponentModel.ISupportInitialize)(this.nudCapacity)).BeginInit();
		this.SuspendLayout();
		// 
		// btnSave
		// 
		this.btnSave.Location = new System.Drawing.Point(8, 72);
		this.btnSave.Name = "btnSave";
		this.btnSave.Size = new System.Drawing.Size(80, 23);
		this.btnSave.TabIndex = 2;
		this.btnSave.Text = "Save";
		this.btnSave.Click += new System.EventHandler(this.btnSave_Click);
		// 
		// btnCancel
		// 
		this.btnCancel.Location = new System.Drawing.Point(104, 72);
		this.btnCancel.Name = "btnCancel";
		this.btnCancel.Size = new System.Drawing.Size(80, 23);
		this.btnCancel.TabIndex = 3;
		this.btnCancel.Text = "Cancel";
		this.btnCancel.Click += new System.EventHandler(this.btnCancel_Click);
		// 
		// nudCapacity
		// 
		this.nudCapacity.Location = new System.Drawing.Point(64, 40);
		this.nudCapacity.Maximum = new System.Decimal(new int[] {
																																																											1000,
																																																											0,
																																																											0,
																																																											0});
		this.nudCapacity.Minimum = new System.Decimal(new int[] {
																																																											1,
																																																											0,
																																																											0,
																																																											0});
		this.nudCapacity.Name = "nudCapacity";
		this.nudCapacity.TabIndex = 1;
		this.nudCapacity.Value = new System.Decimal(new int[] {
																																																									10,
																																																									0,
																																																									0,
																																																									0});
		// 
		// label1
		// 
		this.label1.Location = new System.Drawing.Point(8, 40);
		this.label1.Name = "label1";
		this.label1.Size = new System.Drawing.Size(48, 23);
		this.label1.TabIndex = 3;
		this.label1.Text = "Capacity";
		this.label1.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
		// 
		// label2
		// 
		this.label2.Location = new System.Drawing.Point(8, 8);
		this.label2.Name = "label2";
		this.label2.Size = new System.Drawing.Size(40, 23);
		this.label2.TabIndex = 4;
		this.label2.Text = "Name";
		this.label2.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
		// 
		// txtName
		// 
		this.txtName.Location = new System.Drawing.Point(64, 8);
		this.txtName.Name = "txtName";
		this.txtName.Size = new System.Drawing.Size(120, 20);
		this.txtName.TabIndex = 0;
		this.txtName.Text = "";
		this.txtName.KeyDown += new System.Windows.Forms.KeyEventHandler(this.txtName_KeyDown);
		// 
		// AddEditRoom
		// 
		this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
		this.ClientSize = new System.Drawing.Size(192, 102);
		this.Controls.Add(this.txtName);
		this.Controls.Add(this.label2);
		this.Controls.Add(this.label1);
		this.Controls.Add(this.nudCapacity);
		this.Controls.Add(this.btnCancel);
		this.Controls.Add(this.btnSave);
		this.FormBorderStyle = System.Windows.Forms.FormBorderStyle.FixedSingle;
		this.MaximizeBox = false;
		this.MinimizeBox = false;
		this.Name = "AddEditRoom";
		this.StartPosition = System.Windows.Forms.FormStartPosition.CenterParent;
		this.Text = "Room Details";
		((System.ComponentModel.ISupportInitialize)(this.nudCapacity)).EndInit();
		this.ResumeLayout(false);

	}
		#endregion

		#region User interface event handlers

		private void btnSave_Click(object sender, System.EventArgs e) {
			DialogResult = (txtName.Text.Length > 0 ? DialogResult.OK : DialogResult.Cancel);
			Close();
		}

		private void btnCancel_Click(object sender, System.EventArgs e) {
			DialogResult = DialogResult.Cancel;
			Close();
		}

		private void txtName_KeyDown(object sender, System.Windows.Forms.KeyEventArgs e) {
			if (e.KeyCode == Keys.Enter) {
				DialogResult = (txtName.Text.Length > 0 ? DialogResult.OK : DialogResult.Cancel);
				Close();
			}
		}
		#endregion
	}
}
