// Rendezvous: A Hopfield-Tank neural network implementation as a scheduler application
// Written by David J. Stein, Esq., 10/18/2004.  See "License.html" for terms and conditions of use.
//
// This module contains the code for adding or editing a timeslot.

#region Using declarations
using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
#endregion

namespace Hopfield_Tank_Neural_Network__Rendezvous_Namespace {
	public class AddEditTimeSlot : System.Windows.Forms.Form	{

		#region Variables and initialization code
		internal System.Windows.Forms.TextBox txtName;
		private System.Windows.Forms.Label label2;
		private System.Windows.Forms.Button btnCancel;
		private System.Windows.Forms.Button btnSave;
		private System.ComponentModel.Container components = null;

		public AddEditTimeSlot()	{
			InitializeComponent();
		}

		public AddEditTimeSlot(string name)	{
			InitializeComponent();
			txtName.Text = name;
		}

		#endregion

		#region Uninteresting Windows Form Designer generated code
		protected override void Dispose(bool disposing)		{
			if (disposing) {
				if (components != null) {
				components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

	private void InitializeComponent()	{
		this.txtName = new System.Windows.Forms.TextBox();
		this.label2 = new System.Windows.Forms.Label();
		this.btnCancel = new System.Windows.Forms.Button();
		this.btnSave = new System.Windows.Forms.Button();
		this.SuspendLayout();
		// 
		// txtName
		// 
		this.txtName.Location = new System.Drawing.Point(56, 8);
		this.txtName.Name = "txtName";
		this.txtName.Size = new System.Drawing.Size(128, 20);
		this.txtName.TabIndex = 0;
		this.txtName.Text = "";
		this.txtName.KeyDown += new System.Windows.Forms.KeyEventHandler(this.txtName_KeyDown);
		// 
		// label2
		// 
		this.label2.Location = new System.Drawing.Point(8, 8);
		this.label2.Name = "label2";
		this.label2.Size = new System.Drawing.Size(40, 23);
		this.label2.TabIndex = 10;
		this.label2.Text = "Name";
		this.label2.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
		// 
		// btnCancel
		// 
		this.btnCancel.Location = new System.Drawing.Point(104, 40);
		this.btnCancel.Name = "btnCancel";
		this.btnCancel.Size = new System.Drawing.Size(80, 23);
		this.btnCancel.TabIndex = 2;
		this.btnCancel.Text = "Cancel";
		this.btnCancel.Click += new System.EventHandler(this.btnCancel_Click);
		// 
		// btnSave
		// 
		this.btnSave.Location = new System.Drawing.Point(8, 40);
		this.btnSave.Name = "btnSave";
		this.btnSave.Size = new System.Drawing.Size(80, 23);
		this.btnSave.TabIndex = 1;
		this.btnSave.Text = "Save";
		this.btnSave.Click += new System.EventHandler(this.btnSave_Click);
		// 
		// AddEditTimeSlot
		// 
		this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
		this.ClientSize = new System.Drawing.Size(192, 70);
		this.Controls.Add(this.txtName);
		this.Controls.Add(this.label2);
		this.Controls.Add(this.btnCancel);
		this.Controls.Add(this.btnSave);
		this.FormBorderStyle = System.Windows.Forms.FormBorderStyle.FixedSingle;
		this.MaximizeBox = false;
		this.MinimizeBox = false;
		this.Name = "AddEditTimeSlot";
		this.StartPosition = System.Windows.Forms.FormStartPosition.CenterParent;
		this.Text = "Time Slot Details";
		this.ResumeLayout(false);

	}
		#endregion

		#region User interface event handlers

		private void btnSave_Click(object sender, System.EventArgs e) {
			DialogResult = (txtName.Text.Length > 0 ? DialogResult.OK : DialogResult.Cancel);
			Close();
		}

		private void btnCancel_Click(object sender, System.EventArgs e) {
			DialogResult = DialogResult.Cancel;
			Close();
		}

		private void txtName_KeyDown(object sender, System.Windows.Forms.KeyEventArgs e) {
			if (e.KeyCode == Keys.Enter) {
				DialogResult = (txtName.Text.Length > 0 ? DialogResult.OK : DialogResult.Cancel);
				Close();
			}
		}
		#endregion
	}
}
